[[vertex]]

uniform mat4 mvp;

in vec4 pos;
in vec4 col;
out vec4 c;

void main()
{
    c = col;
    gl_Position = mvp * pos;
    gl_PointSize = 5.0;
}

[[fragment]]

in mediump vec4 c;
out mediump vec4 frag;

void main()
{
    frag = c;
}
